View Issue Details

This bug affects 3 person(s).
 22
IDProjectCategoryView StatusLast Update
12105Bug reportsResponse browsingpublic2022-02-28 12:58
ReporterMazi Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version2.59.x 
Summary12105: Scroll bar very uncomfortable to use at browse response screen
Description

The main tabular browse responses screen comes with its own scroll bar. On small screens this is very uncomfortable to use. Especially when setting to list more than 25 responses and increasing that value to e.g. 100, the headings get out of sight and you have to scroll down a lot to be able to scroll right.

Wouldn't it be possible to not use that kind of "custom" bar but force the browser to show a scroll bar at the very bottom (at Chrome that is always visible/accessible).
Maybe we can even have a fixed header so you can always see the headings?

TagsNo tags attached.
Bug heat22
Complete LimeSurvey version number (& build)2.59.1+ 170117
I will donate to the project if issue is resolvedNo
Browser
Database type & versionMySQL 5.5
Server OS (if known)Linux (Ubuntu 14 TLS)
Webserver software & version (if known)Apache 2.0
PHP Version5.5.9

Users monitoring this issue

User List DenisChenu

Activities

DenisChenu

DenisChenu

2017-02-02 10:30

developer   ~42935

+1 2.6 is better here

Mazi

Mazi

2022-01-14 14:09

updater   ~68009

Last edited: 2022-01-17 12:50

@c_schmitz, @galads, @DenisChenu: I'd love to re-open this one since we can not see any UI improvements even at the latest 5.x version. There I can actually see 3 scroll bars now. The new one on top may be pretty helpful but is disabled/out of order, see screenshot.

This bad UI behavior was reported by several customers the last weeks and they hope for some improvements at a) browse response screen and b) browse partiicpants screen.
a) Can be fixed by making the scroll bar on top work.
b) Can be fixed by adding the same scroll bar on top.

Mazi

Mazi

2022-01-14 14:11

updater   ~68010

Last edited: 2022-01-17 12:50

image.png (66,925 bytes)   
image.png (66,925 bytes)   
image-2.png (69,374 bytes)   
image-2.png (69,374 bytes)   
DenisChenu

DenisChenu

2022-01-14 15:00

developer   ~68017

Last edited: 2022-01-17 12:50

Please : compare with 2.6 or phpmyadmin .

This really need a better system where bottom scroll bar is used for the table.

limesurvey206.gif (1,993,156 bytes)
Peek 14-01-2022 14-58.gif (1,207,210 bytes)
Mazi

Mazi

2022-01-14 15:02

updater   ~68018

Last edited: 2022-01-17 12:50

+1 for Denis' suggestions. It'd help a lot if it'd work like at these examples.

DenisChenu

DenisChenu

2022-01-14 15:06

developer   ~68021

Last edited: 2022-01-17 12:50

PS : this take me a lot of time in 2.05. It's more hard in current 5 since HTML is more complicated.

gabrieljenik

gabrieljenik

2022-02-22 13:28

manager   ~68352

PR: https://github.com/LimeSurvey/LimeSurvey/pull/2262

gabrieljenik

gabrieljenik

2022-02-22 21:49

manager   ~68363

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=33228

DenisChenu

DenisChenu

2022-02-23 08:52

developer   ~68374

Need to be reported again to have real improvment ?

Mazi

Mazi

2022-02-23 12:10

updater   ~68380

@DenisChenu, what exactly do you mean by "real improvement"?

DenisChenu

DenisChenu

2022-02-23 12:12

developer   ~68381

@Mazi : did you test the commit ?

I mean : «The windows scroll are used directly.»

But i quit about ergonmly and usuability in LimeSurvey admin GUI for now …

Mazi

Mazi

2022-02-23 12:30

updater   ~68382

@DenisChenu, I usually test the final releases only so I wasn't able to check the current status.

What solution do you suggest? I am interested in a proper solution since that horizontal scrolling is pretty painful (same for the tokens screen).

DenisChenu

DenisChenu

2022-02-26 19:06

developer   ~68415

@Mazi : see https://demo.sondages.pro/plugins/direct?plugin=responseListAndManage&sid=526665

We can use sticky now … https://caniuse.com/?search=sticky

More easy than before …

DenisChenu

DenisChenu

2022-02-26 19:29

developer   ~68416

Hacking with developper tool :

  1. remove the overflow instruction on #pjax-content
  2. Set table thead : position:sticky;top:0;background:#fff
  3. remove overflow on #in_survey_common
  4. remove overflow-x: scroll; on .scrolling-wrapper

And with pager fix too

DenisChenu

DenisChenu

2022-02-26 19:38

developer   ~68417

Some video for basic idea : no js only css here.

and https://gifyu.com/image/SMLqw (no footer hack here)

Peek 26-02-2022 19-30.gif (1,251,681 bytes)
LimeBot

LimeBot

2022-02-28 12:58

administrator   ~68433

Fixed in Release 5.3.0+220228

Related Changesets

LimeSurvey: master 1f16bbc0

2017-02-03 15:59:01

c_schmitz

Details Diff
Dev Added top scrollbar to response browsing Affected Issues
12105
mod - application/views/admin/responses/listResponses_view.php Diff File
mod - scripts/admin/listresponse.js Diff File

LimeSurvey: master def00816

2022-02-22 21:49:09

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 12105: Scroll bar partially broken at browse response screen (#2262) Affected Issues
12105
mod - application/views/responses/listResponses_view.php Diff File
mod - assets/scripts/admin/listresponse.js Diff File

Issue History

Date Modified Username Field Change
2017-02-01 12:39 Mazi New Issue
2017-02-01 12:48 Mazi Summary Scroll bar very uncomfortable to use at brose response screen => Scroll bar very uncomfortable to use at browse response screen
2017-02-01 12:48 Mazi Description Updated
2017-02-02 10:27 DenisChenu Issue Monitored: DenisChenu
2017-02-02 10:30 DenisChenu Note Added: 42935
2017-02-03 16:03 c_schmitz Changeset attached => LimeSurvey master 1f16bbc0
2018-05-23 12:22 LouisGac Assigned To => LouisGac
2018-05-23 12:22 LouisGac Status new => closed
2018-05-23 12:22 LouisGac Resolution open => won't fix
2021-08-03 03:00 guest Bug heat 2 => 4
2022-01-14 14:09 Mazi Status closed => feedback
2022-01-14 14:09 Mazi Resolution won't fix => reopened
2022-01-14 14:09 Mazi Note Added: 68009
2022-01-14 14:09 Mazi Bug heat 4 => 6
2022-01-14 14:11 Mazi Note Added: 68010
2022-01-14 14:11 Mazi File Added: image.png
2022-01-14 14:11 Mazi File Added: image-2.png
2022-01-14 14:11 Mazi Status feedback => assigned
2022-01-14 15:00 DenisChenu Note Added: 68017
2022-01-14 15:00 DenisChenu File Added: limesurvey206.gif
2022-01-14 15:00 DenisChenu File Added: Peek 14-01-2022 14-58.gif
2022-01-14 15:02 Mazi Note Added: 68018
2022-01-14 15:06 DenisChenu Note Added: 68021
2022-01-14 16:49 c_schmitz Bug heat 6 => 12
2022-01-14 16:49 c_schmitz Status assigned => new
2022-01-14 16:49 c_schmitz Assigned To LouisGac =>
2022-01-17 12:50 galads Status new => confirmed
2022-01-17 12:50 galads Zoho Project Synchronization => |Yes|
2022-01-18 11:05 guest Bug heat 12 => 18
2022-02-22 13:28 gabrieljenik Note Added: 68352
2022-02-22 13:28 gabrieljenik Bug heat 18 => 20
2022-02-22 21:49 gabrieljenik Changeset attached => LimeSurvey master def00816
2022-02-22 21:49 gabrieljenik Note Added: 68363
2022-02-22 21:49 gabrieljenik Assigned To => gabrieljenik
2022-02-22 21:49 gabrieljenik Resolution reopened => fixed
2022-02-22 21:49 c_schmitz Status confirmed => resolved
2022-02-23 08:52 DenisChenu Note Added: 68374
2022-02-23 12:10 Mazi Note Added: 68380
2022-02-23 12:12 DenisChenu Note Added: 68381
2022-02-23 12:30 Mazi Note Added: 68382
2022-02-26 19:06 DenisChenu Note Added: 68415
2022-02-26 19:29 DenisChenu Note Added: 68416
2022-02-26 19:29 DenisChenu File Added: Capture d’écran du 2022-02-26 19-24-10.png
2022-02-26 19:29 DenisChenu File Added: Capture d’écran du 2022-02-26 19-24-23.png
2022-02-26 19:29 DenisChenu File Added: Capture d’écran du 2022-02-26 19-28-08.png
2022-02-26 19:29 DenisChenu File Added: Capture d’écran du 2022-02-26 19-28-49.png
2022-02-26 19:38 DenisChenu Note Added: 68417
2022-02-26 19:38 DenisChenu File Added: Peek 26-02-2022 19-30.gif
2022-02-28 12:58 LimeBot Zoho Project Synchronization Yes => |Yes|
2022-02-28 12:58 LimeBot Note Added: 68433
2022-02-28 12:58 LimeBot Status resolved => closed
2022-02-28 12:58 LimeBot Bug heat 20 => 22